Bug 64674 - IDE DMA problems with 2.4.18-3 (ok with other kernels)
Summary: IDE DMA problems with 2.4.18-3 (ok with other kernels)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-09 13:12 UTC by edwinh
Modified: 2007-04-18 16:42 UTC (History)
2 users (show)

Fixed In Version: 8.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-23 05:16:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description edwinh 2002-05-09 13:12:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
Using the 7.3 kernel, I get IDE errors after enabling DMA (see below).
Using vanilla 2.4.19-preX kernels, older vanilla kernels, or older RH packaged
kernels this does not occur.  /etc/sysconfig/harddisk* settings are the same.

Intel ICH 82801AA  controller
Maxtor 98196H8 drive

USE_DMA=1
MULTIPLE_IO=16
EIDE_32BIT=3
EXTRA_PARAMS="-u1"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See above combination of kernel + controller + drive + hdparm settings


Actual Results:  
May  7 17:29:48 thor kernel: hda: dma_intr: status=0x51 { DriveReady
SeekComplete Error }
May  7 17:29:48 thor kernel: hda: dma_intr: error=0x10 { SectorIdNotFound },
LBAsect=156249063, sector=138579768
May  7 17:29:48 thor kernel: hda: dma_intr: status=0x51 { DriveReady
SeekComplete Error }
May  7 17:29:48 thor kernel: hda: dma_intr: error=0x10 { SectorIdNotFound },
LBAsect=156249063, sector=138579768
May  7 17:29:48 thor kernel: hda: dma_intr: status=0x51 { DriveReady
SeekComplete Error }
May  7 17:29:48 thor kernel: hda: dma_intr: error=0x10 { SectorIdNotFound },
LBAsect=156249063, sector=138579768
May  7 17:29:48 thor kernel: hda: dma_intr: status=0x51 { DriveReady
SeekComplete Error }
May  7 17:29:48 thor kernel: hda: dma_intr: error=0x10 { SectorIdNotFound },
LBAsect=156249063, sector=138579768
May  7 17:29:48 thor kernel: hda: DMA disabled
May  7 17:29:48 thor kernel: ide0: reset: success


Expected Results:  DMA to not give errors.  

Additional info:

(I really dislike the flakiness of IDE... sigh.  if all the world 
was SCSI...)

Comment 1 edwinh 2002-05-09 13:24:59 UTC
Also - just in case this is useful:

Award BIOS
PCCHIPS motherboard that I don't know the number of in a small form-factor "Book PC"

80GB Maxtor drive has the 33GB cylinder limit clip on it so I can boot
off of it. I use "setmax -d0 /dev/hda in rc.modules to enable the full size
before it gets to the hdparm or fsck+mounting non-root filesystems part of the
boot. (This part works ok even with the shipped kernel)

Let me know if you need additional info like /proc/ide contents or whatnot.

Comment 2 edwinh 2002-05-10 04:31:31 UTC
Just released 2.4.18-4 has the same behavior

Comment 3 edwinh 2003-04-23 05:16:55 UTC
this bug was never updated...  anyway, stock RH8.0 or RH9 kernel didn't do this
on that particular setup.



Note You need to log in before you can comment on or make changes to this bug.